> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post visitorsarrivalsadd action

> Adds a Visitor Action to the Visitor Arrival .

VisitorAction are read and write only.  Never updated, or deleted, unless the VisitorArrival is deleted. The requesting User must have one of the following rights to perform this task: **AuthRuleType.VISITOR_ADMIN** Requestor is a Visitor Manager for the venue Requestor is a Host of the visitor Requestor is a Super Host at the venue This operation requires a **Add Visitor Action Input** value. The AddVisitorActionInput has the following fields: **Name** **Data Type** **Required** **Description** sysidVisitorArrival Integer REQUIRED The visitor arrival to add an action to. sysidActionType Integer REQUIRED The visitor action type.  Must match one of the Visitor Action Type values

VisitorAction are read and write only.  Never updated, or deleted, unless the VisitorArrival is deleted.

The requesting User must have one of the following rights to perform this task:

This operation requires a **Add Visitor Action Input** value. The AddVisitorActionInput has the following fields:



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /visitors/arrivals/add-action
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /visitors/arrivals/add-action:
    post:
      tags:
        - VisitorService
      description: >-
        Adds a Visitor Action to the Visitor Arrival .


        VisitorAction are read and write only.  Never updated, or deleted,
        unless the VisitorArrival is deleted. The requesting User must have one
        of the following rights to perform this task:
        **AuthRuleType.VISITOR_ADMIN** Requestor is a Visitor Manager for the
        venue Requestor is a Host of the visitor Requestor is a Super Host at
        the venue This operation requires a **Add Visitor Action Input** value.
        The AddVisitorActionInput has the following fields: **Name** **Data
        Type** **Required** **Description** sysidVisitorArrival Integer REQUIRED
        The visitor arrival to add an action to. sysidActionType Integer
        REQUIRED The visitor action type.  Must match one of the Visitor Action
        Type values


        VisitorAction are read and write only.  Never updated, or deleted,
        unless the VisitorArrival is deleted.


        The requesting User must have one of the following rights to perform
        this task:


        This operation requires a **Add Visitor Action Input** value. The
        AddVisitorActionInput has the following fields:
      operationId: addVisitorAction
      parameters: []
      requestBody:
        description: |-
          : AddVisitorActionInput.  See
          Visitor Action
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidActionType: 12345
                  sysidVisitorArrival: 12345
            schema:
              $ref: '#/components/schemas/AddVisitorActionInput'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    aqActionTime:
                      discriminator: AqDate
                      hour: 12345
                      tzIdValue: ...
                      year: 12345
                      month: 12345
                      dayOfMonth: 12345
                      minute: 12345
                      noEndDate: true
                    sysidActionType: 12345
                    sysidVisitorAction: 12345
                    sysidUserPerformer: 12345
              schema:
                $ref: '#/components/schemas/VisitorAction'
          description: |-
            Visitor Action data.

            com.agilquest.phoenix.shared.data.visitor.VisitorAction
components:
  schemas:
    AddVisitorActionInput:
      type: object
      title: AddVisitorActionInput
      required:
        - sysidActionType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidActionType:
              type: integer
              format: int32
            sysidVisitorArrival:
              type: integer
              format: int32
      example:
        sysidActionType: 12345
        sysidVisitorArrival: 12345
    VisitorAction:
      type: object
      title: VisitorAction
      required:
        - sysidActionType
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            aqActionTime:
              $ref: '#/components/schemas/AqDate'
            sysidActionType:
              type: integer
              format: int32
            sysidVisitorAction:
              type: integer
              format: int32
            sysidUserPerformer:
              type: integer
              format: int32
      example:
        aqActionTime:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidActionType: 12345
        sysidVisitorAction: 12345
        sysidUserPerformer: 12345
    DependentData:
      type: object
      title: DependentData
      example: {}
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true

````